Bug 166481 - [maintainer update] update multimedia/xbmc to 11.0
Summary: [maintainer update] update multimedia/xbmc to 11.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-29 09:00 UTC by mickael.maillot
Modified: 2012-04-08 12:30 UTC (History)
0 users

See Also:


Attachments
xbmc.11.diff.txt (8.04 KB, text/plain; charset=US-ASCII)
2012-04-02 09:06 UTC, mickael.maillot
no flags Details
xbmc.11.diff.txt (7.55 KB, text/plain; charset=US-ASCII)
2012-04-04 08:34 UTC, mickael.maillot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mickael.maillot 2012-03-29 09:00:25 UTC
update xbmc to 11.0 release

update can be fetch on redports:
svn co https://svn.redports.org/fneufneu/multimedia/xbmc

tested on 3 different desktop and
compile fine on all freebsd version (thanks to redports).
Comment 1 Michael Scheidell freebsd_committer 2012-03-29 12:45:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

Thanks for your continued support of FreeBSD.  I might, actually, try 
xbmc on a FreeBSD box myself one day.  I use it on my ATV (black) and 
love it (its slow on the ATV black and some codex's don't work right).
Comment 2 Michael Scheidell freebsd_committer 2012-03-29 12:45:45 UTC
State Changed
From-To: open->feedback

Thank you also for maintaining the xbmx port. 

A note for you, that will help with this pr, and in the future. 

You need to submit an attached patch as per porters handbook for updates. 
create a diff with diff -ruN, and attach it to your pr. 

this is necessary, so that there is an audit trail on what was fixed and when. 
A link to redports will disappear sometime in the future, and this is why this patch needs to be attached to your pr. 
If anyone questions any updates or changes, made either by you, the port committer, or FreeBSD portmgr in the future, we will  
need something in the audit trail. 

Again, Thank you for your support of FreeBSD, and if you have any question, you can join the freebsd-ports mailing list and  
ask there.
Comment 3 mickael.maillot 2012-04-02 09:06:33 UTC
patch attached and you also need to fetch the extra bzipped patch
Comment 4 Michael Scheidell freebsd_committer 2012-04-02 14:08:14 UTC
Q:is there any reason you modified this in source?
     Please re-read the porters handbook.  with this in your patch, I have to manually download your patch, and edit it and take out this first section.
Then I need to manually edit the Makefile after applying the rest of the patch.
      Doing things like this manually tends to cause misunderstanding on the intention of the patch (not in this case, it looks clear), but in the
future, don't edit the $FreeBSD: line in makefile.  If the resulting patch doesn't apply normally,

diff -ruN xbmc.orig/Makefile xbmc/Makefile
--- xbmc.orig/Makefile        2012-04-02 10:00:02.000000000 +0200
+++ xbmc/Makefile   2012-03-29 09:39:54.000000000 +0200
@@ -2,15 +2,13 @@
  # Date created:                          2010-09-16
  # Whom:                             Mickael Maillot<mickael.maillot@gmail.com>
  #
-# $FreeBSD: ports/multimedia/xbmc/Makefile,v 1.23 2012/03/22 06:52:34 rm Exp $
+# $FreeBSD$
  #


Q: what extra bziped patch? there is one in current ports tree already.
-rw-r--r--  1 root  wheel  186036 Mar  6 10:01 extra-patch-oss.bz2

Q: why the@${RM} -r ${WRKSRC}/xbmc/cores/AudioRenderers

This sort of thing is discouraged in the Makefile.  Can't you patch the :: install target in the source to prevent it from installing the AudiRenders files?



-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 5 Florent Thoumie freebsd_committer 2012-04-03 22:05:59 UTC
Can we please get this in the tree? There's nothing wrong in removing
files from WRKSRC to prevent them from being installed.

-- 
Florent Thoumie
flz@FreeBSD.org
FreeBSD Committer
Comment 6 Michael Scheidell freebsd_committer 2012-04-03 22:13:27 UTC
Responsible Changed
From-To: scheidell->flz

Florent Thoumie (flz@) wants this
Comment 7 mickael.maillot 2012-04-04 08:34:17 UTC
2012/4/3 Florent Thoumie <flz@freebsd.org>:
> Can we please get this in the tree? There's nothing wrong in removing
> files from WRKSRC to prevent them from being installed.
>

i did some test and the rm can be removed.

i updated the patch.

and we need also to update extra-patch-oss.bz2:
https://redports.org/browser/fneufneu/multimedia/xbmc/files/extra-patch-oss.bz2
Comment 8 Bernhard Froehlich freebsd_committer 2012-04-05 09:54:14 UTC
Responsible Changed
From-To: flz->decke

I'll take it. (discussed with flz)
Comment 9 dfilter service freebsd_committer 2012-04-05 11:07:21 UTC
decke       2012-04-05 10:07:08 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/xbmc      Makefile distinfo pkg-plist 
    multimedia/xbmc/files extra-patch-oss.bz2 
  Removed files:
    multimedia/xbmc/files 
                          patch-xbmc__settings__AdvancedSettings.cpp 
  Log:
  - Update to 11.0
  
  PR:             ports/166481
  Submitted by:   Mickael Maillot <mickael.maillot@gmail.com> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.24      +1 -3      ports/multimedia/xbmc/Makefile
  1.6       +2 -2      ports/multimedia/xbmc/distinfo
  1.2       +137 -711  ports/multimedia/xbmc/files/extra-patch-oss.bz2
  1.2       +0 -20     ports/multimedia/xbmc/files/patch-xbmc__settings__AdvancedSettings.cpp (dead)
  1.8       +9 -0      ports/multimedia/xbmc/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Bernhard Froehlich freebsd_committer 2012-04-05 11:07:48 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 11 dfilter service freebsd_committer 2012-04-08 12:22:38 UTC
decke       2012-04-08 11:22:25 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/xbmc/files extra-patch-oss.bz2 
  Log:
  - Use correct oss patch
  
  PR:             ports/166481
  Reported by:    Mickael Maillot <mickael.maillot@gmail.com> (maintainer)
  Pointyhat to:   myself
  Feature safe:   yes
  
  Revision  Changes    Path
  1.3       +559 -138  ports/multimedia/xbmc/files/extra-patch-oss.bz2
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 Bernhard Froehlich freebsd_committer 2012-04-08 12:24:08 UTC
On 07.04.2012 13:20, Mickaël Maillot wrote:
> 2012/4/5 Mickaël Maillot <mickael.maillot@gmail.com>:
>> 2012/4/5  <decke@freebsd.org>:
>>> Synopsis: [maintainer update] update multimedia/xbmc to 11.0
>>>
>>> State-Changed-From-To: feedback->closed
>>> State-Changed-By: decke
>>> State-Changed-When: Thu Apr 5 10:07:48 UTC 2012
>>> State-Changed-Why:
>>> Committed. Thanks!
>>>
>>> http://www.freebsd.org/cgi/query-pr.cgi?pr=166481
>>
>> Thanks !
>
> hum the extra-patch-oss.bz2 file is wrong, you directly fetched the
> html page.
>
> ddl link:
> 
> https://redports.org/export/2952/fneufneu/multimedia/xbmc/files/extra-patch-oss.bz2

Sorry for the messed up commit. It's fixed now.

-- 
Bernhard Froehlich
http://www.bluelife.at/